All Objects| Statics| Objects| KJSEmbed Objects| Qt Objects| KDE Objects| Exceptions| Uncreatable Objects

# Application

Bindings for the Application class.

## Properties

Type | Name | Value
--- | --- | ---
QStringList | args |

## Methods

aboutQt(...)
child(...)
childCount(...)
children(...)
className(...)
clear(...)
closeAllWindows(...)
connect(...)
copy(...)
cut(...)
deleteLater(...)
deref(...)
disconnect(...)
exec(...)
getAttribute(...)
getElementById(...)
getParentNode(...)
hasAttribute(...)
invokeBrowser(...)
invokeBrowser1(...)
isWidgetType(...)
parent(...)
paste(...)
properties(...)
quit(...)
ref(...)
selectAll(...)
setAttribute(...)
signals(...)
slots(...)
superClassName(...)

## Qt Properties

Type | Name | Value
--- | --- | ---
QCString | name | build-docs

## Qt Signals

aboutToQuit()
appearanceChanged()
backgroundChanged(int)
destroyed()
destroyed(QObject*)
guiThreadAwake()
iconChanged(int)
kdisplayFontChanged()
kdisplayPaletteChanged()
kdisplayStyleChanged()
kipcMessage(int,int)
lastWindowClosed()
saveYourself()
settingsChanged(int)
shutDown()
toolbarAppearanceChanged(int)

## Qt Slots

void | aboutQt()
void | checkAppStartedSlot()
void | cleanupEventFilter(QObject*)
void | clear()
void | closeAllWindows()
void | copy()
void | cut()
void | dcopBlockUserInput(bool)
void | dcopFailure(const QString&)
void | deleteLater()
void | deref()
void | invokeBrowser(const QString&)
void | invokeBrowser(const QString&,const QCString&)
void | paste()
void | quit()
void | ref()
void | selectAll()
void | x11FilterDestroyed()